include ../makefile.inc

DOC_ODL_SOURCE=../odl/routing-manager.odl
DOC_OUTPUT_DIR=../output/doc
DOC_TITLE="TR181 Routing Data Model"
DOC_SUB_TITLE="Routing"

doc: xml html confluence

xml:
	@mkdir -p $(DOC_OUTPUT_DIR)/xml
	@amxo-cg -Gxml,$(DOC_OUTPUT_DIR)/xml $(DOC_ODL_SOURCE)

html: xml
	@mkdir -p $(DOC_OUTPUT_DIR)/html
	@amxo-xml-to -x html \
				-o output-dir=$(DOC_OUTPUT_DIR)/html/ \
				-o title=$(DOC_TITLE) \
				-o version=$(VERSION) \
				-o sub-titel=$(DOC_SUB_TITLE) \
				$(DOC_OUTPUT_DIR)/xml/*.xml

confluence: xml
	@mkdir -p $(DOC_OUTPUT_DIR)/confluence
	@amxo-xml-to -x confluence \
				-o output-dir=$(DOC_OUTPUT_DIR)/confluence \
				-o title=$(DOC_TITLE) \
				-o version=$(VERSION) \
				-o sub-titel=$(DOC_SUB_TITLE) \
				$(DOC_OUTPUT_DIR)/xml/*.xml

clean:
	rm -rf $(DOC_OUTPUT_DIR)

.PHONY: xml html confluence doc clean

